    import IsolatedApi from 'f.lux/src/IsolatedApi.js'

public class | source

# IsolatedApi

## Constructor Summary

Public Constructor
public | constructor(store: *) |

## Member Summary

Public Members
public | records: {} |
public | store: * |

## Method Summary

Public Methods
public | all(owner: *): * |
public | count(owner: *): * |
public | entries(owner: *): * |
public | get(key: *, owner: *): * |
public | invalidated(iso: *) |
public | obsolete(iso: *) |
public | remove(key: *, owner: *) |
public | removeAllFor(owner: *) |
public | set(key: *, isoType: *, owner: *) |
public | update(owner: Property) Invoked by IsolatedObjectShadowImpl#defineChildProperties to perform updates based on processed actions. |
public | willUnshadow(iso: *) |

## Public Constructors

### public constructor(store: *) source

#### Params:

Name | Type | Attribute | Description
store | * |  |

## Public Members

### public records: {} source

### public store: * source

## Public Methods

### public all(owner: *): * source

#### Params:

Name | Type | Attribute | Description
owner | * |  |

#### Return:

*

### public count(owner: *): * source

#### Params:

Name | Type | Attribute | Description
owner | * |  |

#### Return:

*

### public entries(owner: *): * source

#### Params:

Name | Type | Attribute | Description
owner | * |  |

#### Return:

*

### public get(key: *, owner: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |
owner | * |  |

#### Return:

*

### public invalidated(iso: *) source

#### Params:

Name | Type | Attribute | Description
iso | * |  |

### public obsolete(iso: *) source

#### Params:

Name | Type | Attribute | Description
iso | * |  |

### public remove(key: *, owner: *) source

#### Params:

Name | Type | Attribute | Description
key | * |  |
owner | * |  |

### public removeAllFor(owner: *) source

#### Params:

Name | Type | Attribute | Description
owner | * |  |

### public set(key: *, isoType: *, owner: *) source

#### Params:

Name | Type | Attribute | Description
key | * |  |
isoType | * |  |
owner | * |  |

### public update(owner: Property) source

Invoked by IsolatedObjectShadowImpl#defineChildProperties to perform updates based on processed actions.

#### Params:

Name | Type | Attribute | Description
owner | Property |  | the property managing isolated properties.

### public willUnshadow(iso: *) source

#### Params:

Name | Type | Attribute | Description
iso | * |  |